您的位置是:网站首页>Javascript编程Javascript编程

如何解决引入jquery报错问题

少儿编程网2021-12-31 13:56:36Javascript编程 人已围观 来源:少儿编程 -用户投稿

简介引入jquery报错的解决办法:1、定位出错的原因,然后找到MyEclipse选项,选中“ExcludeFromValidation”;2、依次选择“MyEclipse->RunValidation”即可。本教程操作环境:DellG3电脑、Windows7系统、jquery2.1.4&

引入jquery报错的解决办法:1、定位出错的原因,然后找到MyEclipse选项,选中“Exclude From Validation”;2、依次选择“MyEclipse->Run Validation”即可。D8F少儿编程网-https://www.pxcodes.com

D8F少儿编程网-https://www.pxcodes.com

本教程操作环境:Dell G3电脑、Windows7系统、jquery2.1.4&&MyEclipse Enterprise Workbench8.5版本。D8F少儿编程网-https://www.pxcodes.com

推荐:《javascript基础教程》《jquery视频教程》D8F少儿编程网-https://www.pxcodes.com

导入jquery-2.1.4.min.js会在MyEclipse中会报错,解决步骤:D8F少儿编程网-https://www.pxcodes.com

第一步:定位出错的原因:因为导入的MyEclipse2014或者MyEclipse2016中,js识别设置,MyEclipse和Eclipse没有IDE集成太多工具,不会自动识别jquery-2.1.4.min.js的,因为这是类库;那么学习jquery-2.1.4.min.js都会导入jquery-2.1.4.min.js;这是JQuery入手的基础。D8F少儿编程网-https://www.pxcodes.com

D8F少儿编程网-https://www.pxcodes.com

第二步;如何解决这个报错:在MyEclipse中,选中你导入的项目或者是jquery-2.1.4.min.js所在的JAVAweb项目;鼠标选中右击;然后找到MyEclipse选项;选中【Exclude From Validation】就可以了;这样就不会再报错误了D8F少儿编程网-https://www.pxcodes.com

D8F少儿编程网-https://www.pxcodes.com

第三步;如果上一步不生效;你导入的jquery-2.1.4.min.js类似的js文件是在太多那就在单独的设置一下:继续第二步MyEclipse2014中--》MyEclipse---》【Run Validation】;这样就肯定的解决了;然后直接部署运行在Tomcat,就可以运用JAVAweb项目了D8F少儿编程网-https://www.pxcodes.com

D8F少儿编程网-https://www.pxcodes.com

上面主要是针对MyEclipse的解决办法,就是按照截图操作,手动让MyEclipse识别js文件引用D8F少儿编程网-https://www.pxcodes.com

D8F少儿编程网-https://www.pxcodes.com

对于IDEAL出现不能识别js的情况主要是社区版本,如果是集成版本的话就不会出现这种情况。D8F少儿编程网-https://www.pxcodes.com

D8F少儿编程网-https://www.pxcodes.com

对于IDEAL这个IDE开发工具更为简单,主要是把引用的所有js等等的juery文件打开,IDEAL有自动匹配功能。比MyEclipse更为快捷,方便。D8F少儿编程网-https://www.pxcodes.com

以上就是如何解决引入jquery报错问题的详细内容,更多请关注少儿编程网其它相关文章!D8F少儿编程网-https://www.pxcodes.com

来源:php中文网D8F少儿编程网-https://www.pxcodes.com


相关文章:

支持一下 ( )

如何解决引入jquery报错问题

      匿名评论
    • 评论
    人参与,条评论
    如何解决引入jquery报错问题

微信公众号

免费视频教程

先知道